Get a user
/scim/v2/directories/{directoryId}/Users/{id}SCIM 2.0 (RFC 7644 §3.4.1). Returns one of this directory's users by its SCIM id. A user in another directory is indistinguishable from one that does not exist. Errors use SCIM's error schema (RFC 7644 §3.12).
Path Parameters
directoryIdstring Required The directory the SCIM token was minted for.
idstring Required Responses
application/scim+json
schemas *string[]id *stringThis directory's id for the person
externalIdstringuserName *stringThe sign-in email, lowercased
name *ScimNameDtoemails *ScimEmailDto[]active *booleanWhether the person is active in this directory
meta *ScimMetaDto
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
Returned object
curl -X GET "https://auth.canopy-io.com/scim/v2/directories/value/Users/value"
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "id": "string", "externalId": "string", "userName": "string", "name": { "givenName": "string", "familyName": "string" }, "emails": [ { "value": "string", "primary": false, "type": "work" } ], "active": false, "meta": { "resourceType": "User", "created": "2026-04-20T12:00:00.000Z", "lastModified": "2026-04-20T12:00:00.000Z", "location": "string", "version": "string" } }
Tell us how we can improve this guide.